php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #446 Unable to compile PHP2 & PHP3 under Apache 1.3.0
Submitted: 1998-06-09 11:03 UTC Modified: 1998-06-17 09:29 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: fmal at fmal dot com Assigned:
Status: Closed Package: Installation problem
PHP Version: other OS: AIX 3.2.5
Private report: No CVE-ID: None
Welcome back! If you're the original bug submitter, here's where you can edit the bug or add additional notes.
If this is not your bug, you can add a comment by following this link.
If this is your bug, but you forgot your password, you can retrieve your password here.
Password:
Status:
Package:
Bug Type:
Summary:
From: fmal at fmal dot com
New email:
PHP Version: OS:

 

 [1998-06-09 11:03 UTC] fmal at fmal dot com
I was able to compile both php 2.0.1 whit php 3.0rc4 under
apache 1.3b5, (fixint the missing " in mod_php.module.in

Now I try to have the same system with php 3.0 and apache
1.3.0, following the FAQ instructions ... but I have :

gcc  -DAIX=30 -DNEED_RLIM_T -U__STR__ -DSTATUS -DUSE_HSREGEX -DSERVER_SUBVERSION=\"PHP/3.0
\"     \
      -o httpd buildmark.o modules.o modules/php3/libphp3.a modules/extra/libextra.a modul
es/standard/libstandard.a main/libmain.a ./os/unix/libos.a ap/libap.a regex/libregex.a  -L
modules/php3 -L../modules/php3 -lmodphp3 -ldb -lgd -lresolv -lm            -L/usr/local/ms
ql/lib -lmsql
collect2: ld returned 8 exit status
0706-317 ERROR: Unresolved or undefined symbols detected:
                 Symbols in error (followed by references) are
                 dumped to the load map.
                 The -bloadmap:<filename> option will create a load map.
.get_module_config
.popenf
.log_reason
.setup_client_block
.update_mtime
.set_last_modified
.set_etag
.hard_timeout
.chdir_file
.add_common_vars
.add_cgi_vars
.apache_php_module_main
.kill_timeout
.pclosef
.palloc
.pstrdup
make: *** [target_static] Error 1


NOTE :

The install script for php2 does not copy mod_php.module
into the apache tree ... I did it handly into the right
directory src/modules/extra.
I included compat.h in php.h
I escluded from os.c in apache/src/os/unix the include
for dso (aix 3 does not support it).
I edited src/Makefile to find includes ...

 


 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1998-06-17 09:29 UTC] rasmus
In your src/modules/extra/mod_php.c file, try adding
#include "compat.h" just before the httpd.h include.
(confirmed, the above did the trick)
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sat May 21 02:03:37 2022 UTC